> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/global-search.md).

# Global search

Easily search through all data within your PIM

Global search provides a centralized way to find and navigate information across Struct PIM. It helps teams quickly locate products, types, and related data from one place. By reducing time spent navigating between areas, it supports faster decisions and more efficient daily work.

***

### What can you do with Global search

* **Find information quickly**: Search across products, types, and related PIM data from one place.
* **Refine your results**: Filter by type to focus your search on the most relevant information.
* **Open results directly**: Select a result to navigate straight to the relevant item.

***

## Global search walkthrough

### Search

1. Click the global search icon or press `CTRL` + `SHIFT` + `F`
2. Type value to search for

### Filtering by type

1. Click the `Filter` button
2. Search types to include

{% hint style="info" %}
You can add filter directly by typing 'in:' followed by the type you like to search for.
{% endhint %}

{% hint style="info" %}
Default types in search is Products, Variants, Variant Groups and Assets.
{% endhint %}

## Change global search fields

1. Go to **Settings** > **General setup** > **Global search fields**
2. Add desired field(s)

***

### Related Tutorial

* [How to use Global search – Easily search through all data within your PIM](/tutorials/guides/how-to-search-efficiently/how-to-use-global-search.md)

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/global-search.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
